Bug 1166296 - Return of Yast2-fonts: should drop it better
Return of Yast2-fonts: should drop it better
Status: IN_PROGRESS
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: YaST2
Leap 15.2
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Ladislav Slezák
Jiri Srain
https://trello.com/c/9x6yQJqg
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-10 22:32 UTC by Cor Blom
Modified: 2022-01-03 23:13 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Blom 2020-03-10 22:32:18 UTC
As yast2-fonts is back in TW again after a brief hiatus, would it be possible to add it again to Leap 15.2?
Comment 1 Petr Gajdos 2020-03-16 07:33:58 UTC
(In reply to Cor Blom from comment #0)
> As yast2-fonts is back in TW again after a brief hiatus, would it be
> possible to add it again to Leap 15.2?

I think this is by accident. Please remove it from Factory again and exclude it from submitting, there is unfortunately no maintainer as far as I can say.

Request: #725352

  submit:       YaST:Head/yast2-fonts@31(update) -> openSUSE:Factory


Message:
submit new version 4.2.1

State:   accepted   2019-08-23T09:08:06 dimstar_suse
Comment: Accept to openSUSE:Factory

Review:  accepted   Project: openSUSE:Factory:Staging:adi:23           2019-08-22T15:25:34 staging-bot           
  ready to accept
         accepted   Group: opensuse-review-team                        2019-08-22T15:09:33 jengelh               
         accepted   Group: factory-staging                             2019-08-22T15:04:15 staging-bot           
  Picked openSUSE:Factory:Staging:adi:23
         accepted   User: factory-auto                                 2019-08-22T15:04:15 factory-auto          
  Check script succeeded
         accepted   User: licensedigger                                2019-08-22T15:04:15 licensedigger         
  ok

History: 2019-08-23T09:08:06 dimstar_suse Request got accepted
         2019-08-22T20:24:37 staging-bot  Request got reviewed
         2019-08-22T20:24:37 staging-bot  Review got accepted
         2019-08-22T20:11:00 jengelh      Review got accepted
         2019-08-22T15:25:36 staging-bot  Review got accepted
         2019-08-22T15:25:34 staging-bot  Request got a new review request
         2019-08-22T15:12:03 licensedigger Review got accepted
         2019-08-22T15:09:34 factory-auto Review got accepted
         2019-08-22T15:09:33 factory-auto Request got a new review request
         2019-08-22T15:04:15 yast-team    Request created
Comment 2 Martin Vidner 2020-03-16 14:04:11 UTC
Thanks for the report!

I see, we submitted it accidentally while making a mass adjustment across all repos ( https://github.com/yast/yast-fonts/pull/45 )

We should delete the package in the master branch, like we do with the other dropped packages.
Comment 3 Lubos Kocman 2020-03-19 15:33:40 UTC
Hello Cor and Petr,

I understand that there is nothing to do for Leap as this was re-introduced by accident. Marking as WONTFIX.

Thank you
Comment 4 Ladislav Slezák 2020-03-23 12:14:34 UTC
JFYI:

I have removed the "master" branch content and replaced the README.md with the usual "obsoleted module" content (https://github.com/yast/yast-fonts/pull/47).

I have also deleted the Jenkins autosubmission job to avoid accidental submission to Factory.
Comment 5 Frank Krüger 2020-06-22 19:04:46 UTC
(In reply to Ladislav Slezák from comment #4)
> JFYI:
> 
> I have removed the "master" branch content and replaced the README.md with
> the usual "obsoleted module" content
> (https://github.com/yast/yast-fonts/pull/47).
> 
> I have also deleted the Jenkins autosubmission job to avoid accidental
> submission to Factory.

Current TW20200620 still installs/provides yast2-fonts, although it is not developed anymore (cf. https://github.com/yast/yast-fonts). Moreover,

> rpm -q --whatrecommends  yast2-fonts
patterns-yast-x11_yast-20190411-1.4.x86_64
Comment 6 Ladislav Slezák 2020-06-23 07:42:39 UTC
OK, we need to request package removal and update the pattern definition.
Comment 7 Frank Krüger 2020-06-23 21:13:24 UTC
(In reply to Ladislav Slezák from comment #6)
> OK, we need to request package removal and update the pattern definition.

You are welcome! I have the impression that Yast team is eager to introduce new features rather than fixing bugs (currently at least 286 open Yast bugs in TW).
Comment 8 Frank Krüger 2020-08-02 20:17:56 UTC
(In reply to Ladislav Slezák from comment #6)
> OK, we need to request package removal and update the pattern definition.

Is there any news as to the removal of the deprecated yast2-fonts in Tumbleweed?
Comment 9 Frank Krüger 2020-09-24 11:00:26 UTC
FYI: TW20200922 still recommends the deprecated yast2-fonts through patterns-yast-x11_yast-20190411-1.6.x86_64.
Comment 10 Cor Blom 2022-01-03 23:13:59 UTC
More than a year later this package is still part of TW